XPopup: XPopupMenuItem Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XPopupMenuItem Class Reference

blah More...

`#include <xpopupmenuitem.h>`

Collaboration diagram for XPopupMenuItem:

[legend]
List of all members.

## Public Member Functions

void | DrawItem (LPDRAWITEMSTRUCT lpdis)
| blah
void | DrawItemBackground (LPDRAWITEMSTRUCT lpdis, LPXPMENUCOLORS lpcol)
| blah
void | DrawItemBox (LPDRAWITEMSTRUCT lpdis, LPXPMENUCOLORS lpcol)
| blah
void | DrawItemCheckBox (LPDRAWITEMSTRUCT lpdis, LPXPMENUCOLORS lpcol, BOOL bDis=FALSE)
| blah
void | DrawItemIcon (LPDRAWITEMSTRUCT lpdis, LPXPMENUCOLORS lpcol, UINT iExStyles, BOOL bSel=FALSE, BOOL bDis=FALSE)
| blah
void | DrawItemSelection (LPDRAWITEMSTRUCT lpdis, LPXPMENUCOLORS lpcol, BOOL bDis=FALSE)
| blah
void | DrawItemSeparator (LPDRAWITEMSTRUCT lpdis, LPXPMENUCOLORS lpcol)
| blah
void | DrawItemSubArrow (LPDRAWITEMSTRUCT lpdis, LPXPMENUCOLORS lpcol, BOOL bDis=FALSE)
| blah
void | DrawItemText (LPDRAWITEMSTRUCT lpdis, LPXPMENUCOLORS lpcol, BOOL bDis=FALSE)
| blah
int | getItemIcon ()
| blah
SIZE | getItemSize (HWND mHwnd)
| blah
TString * | getItemText ()
| blah
void | setItemIcon (int nIcon)
| blah
void | setItemText (TString &tsItemText)
| blah
void | setSubMenu (BOOL bSubMenu)
| blah
| XPopupMenuItem (XPopupMenu *Parent, TString tsItemText, int nIcon, BOOL bSubMenu)
| Constructor.
| XPopupMenuItem (XPopupMenu *Parent, BOOL bSep)
| Constructor.
virtual | ~XPopupMenuItem ()
| Destructor.

## Static Public Member Functions

static COLORREF | DarkenColor (unsigned int iScale, COLORREF clrColor)
| blah
static void | DrawGradient (HDC hdc, LPRECT lprc, COLORREF clrStart, COLORREF clrEnd, BOOL bHorz=FALSE)
| blah
static COLORREF | LightenColor (unsigned int iScale, COLORREF clrColor)
| blah

## Protected Attributes

BOOL | m_bSep
| Is Separator ?
BOOL | m_bSubMenu
| Has A SubMenu ?
int | m_nIcon
| Menu Item Icon Index.
XPopupMenu * | m_pXParentMenu
| Parent XPopupMenu.
TString | m_tsItemCommand
| Menu Item Command.
TString | m_tsItemText
| Menu Item Text.

## Detailed Description

blah

blah

## Constructor & Destructor Documentation

XPopupMenuItem::XPopupMenuItem | ( | XPopupMenu * | Parent,
|  | BOOL | bSep
| ) |

| Constructor. blah

XPopupMenuItem::XPopupMenuItem | ( | XPopupMenu * | Parent,
|  | TString | tsItemText,
|  | int | nIcon,
|  | BOOL | bSubMenu
| ) |

| Constructor. blah

XPopupMenuItem::~XPopupMenuItem | ( |  | ) | `[virtual]`

| Destructor. blah

## Member Function Documentation

COLORREF XPopupMenuItem::DarkenColor | ( | unsigned int | iScale,
|  | COLORREF | clrColor
| ) | `[static]`

| blah blah

void XPopupMenuItem::DrawGradient | ( | HDC | hdc,
|  | LPRECT | lprc,
|  | COLORREF | clrStart,
|  | COLORREF | clrEnd,
|  | BOOL | bHorz = `FALSE`
| ) | `[static]`

| blah blah

void XPopupMenuItem::DrawItem | ( | LPDRAWITEMSTRUCT | lpdis | ) |

| blah blah

void XPopupMenuItem::DrawItemBackground | ( | LPDRAWITEMSTRUCT | lpdis,
|  | LPXPMENUCOLORS | lpcol
| ) |

| blah blah

void XPopupMenuItem::DrawItemBox | ( | LPDRAWITEMSTRUCT | lpdis,
|  | LPXPMENUCOLORS | lpcol
| ) |

| blah blah

void XPopupMenuItem::DrawItemCheckBox | ( | LPDRAWITEMSTRUCT | lpdis,
|  | LPXPMENUCOLORS | lpcol,
|  | BOOL | bDis = `FALSE`
| ) |

| blah blah

void XPopupMenuItem::DrawItemIcon | ( | LPDRAWITEMSTRUCT | lpdis,
|  | LPXPMENUCOLORS | lpcol,
|  | UINT | iExStyles,
|  | BOOL | bSel = `FALSE`,
|  | BOOL | bDis = `FALSE`
| ) |

| blah blah

void XPopupMenuItem::DrawItemSelection | ( | LPDRAWITEMSTRUCT | lpdis,
|  | LPXPMENUCOLORS | lpcol,
|  | BOOL | bDis = `FALSE`
| ) |

| blah blah

void XPopupMenuItem::DrawItemSeparator | ( | LPDRAWITEMSTRUCT | lpdis,
|  | LPXPMENUCOLORS | lpcol
| ) |

| blah blah

void XPopupMenuItem::DrawItemSubArrow | ( | LPDRAWITEMSTRUCT | lpdis,
|  | LPXPMENUCOLORS | lpcol,
|  | BOOL | bDis = `FALSE`
| ) |

| blah blah

void XPopupMenuItem::DrawItemText | ( | LPDRAWITEMSTRUCT | lpdis,
|  | LPXPMENUCOLORS | lpcol,
|  | BOOL | bDis = `FALSE`
| ) |

| blah blah

int XPopupMenuItem::getItemIcon | ( |  | ) |

| blah blah

SIZE XPopupMenuItem::getItemSize | ( | HWND | mHwnd | ) |

| blah blah

TString * XPopupMenuItem::getItemText | ( |  | ) |

| blah blah

COLORREF XPopupMenuItem::LightenColor | ( | unsigned int | iScale,
|  | COLORREF | clrColor
| ) | `[static]`

| blah blah

void XPopupMenuItem::setItemIcon | ( | int | nIcon | ) |

| blah blah

void XPopupMenuItem::setItemText | ( | TString & | tsItemText | ) |

| blah blah

void XPopupMenuItem::setSubMenu | ( | BOOL | bSubMenu | ) |

| blah blah

The documentation for this class was generated from the following files:

- xpopupmenuitem.h
- xpopupmenuitem.cpp